import request from '@/utils/request'

// 查询音色列表（可按 voiceSource 筛选）
export function remoteList(query) {
  return request({
    url: '/his/aiSipCall/voiceTtsAliyun/remoteList',
    method: 'get',
    params: query
  })
}

// 查询全部 TTS 厂商
export function allTtsProvider(query) {
  return request({
    url: '/his/aiSipCall/voiceTtsAliyun/allTtsProvider',
    method: 'get',
    params: query
  })
}

// 查询全部 ASR 厂商
export function allAsrProvider(query) {
  return request({
    url: '/his/aiSipCall/voiceTtsAliyun/allAsrProvider',
    method: 'get',
    params: query
  })
}
// 根据tts厂商获取支持语言
export function getTtsLanguages(query) {
  return request({
    url: '/his/aiSipCall/voiceTtsAliyun/getTtsLanguages',
    method: 'get',
    params: query
  })
}
// 根据asr厂商获取语言
export function getAsrLanguages(query) {
  return request({
    url: '/his/aiSipCall/voiceTtsAliyun/getAsrLanguages',
    method: 'get',
    params: query
  })
}
// 根据asr厂商和语言获取asr模型列表
export function getAsrModels(query) {
  return request({
    url: '/his/aiSipCall/voiceTtsAliyun/getAsrModels',
    method: 'get',
    params: query
  })
}
// 根据tts厂商和语言获取asr模型列表
export function getTtsModels(query) {
  return request({
    url: '/his/aiSipCall/voiceTtsAliyun/getTtsModels',
    method: 'get',
    params: query
  })
}
